classification
Title: Deprecate yield from and @coroutine in asyncio
Type: Stage: resolved
Components: asyncio Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: asvetlov, josh.r, miss-islington, njs, yselivanov
Priority: normal Keywords: patch

Created on 2019-05-15 08:32 by asvetlov, last changed 2021-04-26 21:17 by njs. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 13334 closed asvetlov, 2019-05-15 08:34
PR 13346 merged asvetlov, 2019-05-15 18:36
Messages (3)
msg342649 - (view) Author: miss-islington (miss-islington) Date: 2019-05-16 14:52
New changeset 68b34a720485f399e8699235b8f4e08f227dd43b by Miss Islington (bot) (Andrew Svetlov) in branch 'master':
bpo-36921: Deprecate @coroutine for sake of async def (GH-13346)
https://github.com/python/cpython/commit/68b34a720485f399e8699235b8f4e08f227dd43b
msg372177 - (view) Author: Josh Rosenberg (josh.r) * (Python triager) Date: 2020-06-23 15:21
Was this supposed to deprecate using types.coroutine as a decorator as well? Because that's not clearly documented, which means people can still use it to make generator-based coroutines without async def.
msg391987 - (view) Author: Nathaniel Smith (njs) * (Python committer) Date: 2021-04-26 21:17
@types.coroutine is still useful as a tool for writing "foundation" coroutines that directly interact with the coroutine runner, e.g.:

https://github.com/python-trio/trio/blob/94562c54d241859eb05ed85c88fd6073d6752ff6/trio/_core/_traps.py#L12-L21

https://github.com/dabeaz/curio/blob/27ccf4d130dd8c048e28bd15a22015bce3f55d53/curio/traps.py#L28-L36

So I think it's only @asyncio.coroutine that should be deprecated.
History
Date User Action Args
2021-04-26 21:17:39njssetnosy: + njs
messages: + msg391987
2020-06-23 15:21:14josh.rsetnosy: + josh.r
messages: + msg372177
2019-05-24 14:17:40asvetlovsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2019-05-16 14:52:18miss-islingtonsetnosy: + miss-islington
messages: + msg342649
2019-05-15 18:36:59asvetlovsetpull_requests: + pull_request13257
2019-05-15 08:34:40asvetlovsetkeywords: + patch
stage: patch review
pull_requests: + pull_request13246
2019-05-15 08:32:31asvetlovcreate